### Name: gsslockedTrain
### Title: Function to Smooth a lockedTrain Object and Related Methods: The
###   Smoothing Spline Approach
### Aliases: gsslockedTrain gsslockedTrain0 print.gsslockedTrain
###   print.gsslockedTrain0 summary.gsslockedTrain summary.gsslockedTrain0
###   plot.gsslockedTrain plot.gsslockedTrain0
### Keywords: models smooth regression

### ** Examples

## load e070528spont data set
data(e070528spont)
## create a lockedTrain object with neuron 1 as reference
## and neuron 3 as test up to lags of +/- 250 ms
lt1.3 <- lockedTrain(e070528spont[[1]],e070528spont[[3]],laglim=c(-1,1)*0.25)
## look at the cross raster plot
lt1.3
## build a histogram of it using a 10 ms bin width
hist(lt1.3,bw=0.01)
## do it the smooth way
slt1.3 <- gsslockedTrain(lt1.3)
plot(slt1.3)
## do some check on the gss fit
summary(slt1.3)

## do the same with gsslockedTrain0
slt1.3 <- gsslockedTrain0(lt1.3)
plot(slt1.3)
## do some check on the gss fit
summary(slt1.3)



