### Name: isi
### Title: Get Lagged Inter Spike Intervals (ISIs) From Data Frames
###   Generated by mkGLMdf
### Aliases: isi
### Keywords: ts survival htest

### ** Examples

## Not run: 
##D ## load e060517spont data set
##D data(e060517spont)
##D ## make a data frame using a 2 ms bin width
##D e060517spontDF <- mkGLMdf(e060517spont,0.002,0,60)
##D ## Keep data relevant to neuron 1
##D e060517spontDFn1 <- e060517spontDF[e060517spontDF$neuron == "1",]
##D ## get the isi at lag 1 and 2
##D e060517spontDFn1$isi1 <- isi(e060517spontDFn1,lag=1)
##D e060517spontDFn1$isi2 <- isi(e060517spontDFn1,lag=2)
##D ## keep only defined elements
##D e060517spontDFn1 <- e060517spontDFn1[!is.na(e060517spontDFn1$isi2),]
##D ## split the data set into an "early" and a "late" part
##D e060517spontDFn1e <- e060517spontDFn1[e060517spontDFn1$time <= 30,]
##D e060517spontDFn1l <- e060517spontDFn1[e060517spontDFn1$time > 30,]
##D ## Fit the late part
##D e060517spontDFn1lGF <- gssanova(event ~ lN.1*isi1+isi2, data=e060517spontDFn1l, family="binomial", seed=20061001)
##D ## Time transform the early part and perform goodness of fit tests
##D e060517spont.n1e.tt <- e060517spontDFn1lGF %tt% e060517spontDFn1e
##D e060517spont.n1e.tt
##D summary(e060517spont.n1e.tt)
##D plot(summary(e060517spont.n1e.tt))
## End(Not run)



